Bug 1413407 - invisible mouse pointer / cursor at gdm screen
Summary: invisible mouse pointer / cursor at gdm screen
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 19:42 UTC by Don Swaner
Modified: 2017-01-22 01:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-22 01:02:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Don Swaner 2017-01-15 19:42:55 UTC
Description of problem:
With a gnome X11 desktop: 4 scenarios cause an invisible cursor at gdm welcome screen:
1) After booting, switch to console before logging into desktop
2) logging out of desktop
3) hitting ESC during rhgb boot (to see messages)
4) booting without rhgb
Rebooting is necessary to get the cursor back.

Version-Release number of selected component (if applicable):
gdm-3.22.1-1.fc25.x86_64
xorg-x11-drv-nouveau-1.0.13-1.fc25.x86_64
mesa-dri-drivers-13.0.3-1.fc25.x86_64

How reproducible:
Always.

Steps to Reproduce:
See 4 scenarios in Description of Problem.

Actual results:
Invisible cursor at gdm welcome screen.

Expected results:
Visible cursor.

Additional info:
During the boot process, sometimes it seems like the cursor appears "too early", while still in console mode, and then it is lost when the switch to X11 mode is complete.
This may be a nouveau driver problem.  Turning acceleration off, or on causes various problems (https://bugzilla.redhat.com/show_bug.cgi?id=1398936 and https://bugzilla.redhat.com/show_bug.cgi?id=1398936).  My hardware is an older PC: 1 CPU: AMD Athlon 64 Processor 3500+
System Memory: 2 GiB
Video: NVIDIA GeForce 6150 LE, nouveau driver

Comment 1 Don Swaner 2017-01-16 00:30:34 UTC
After booting, viewing the normal gdm welcome screen (complete with mouse pointer), and then doing ctl-alt-F3 - a console screen appears, as expected, with no mouse pointer.  Then doing ctl-alt-F1 to switch back to the gdm screen - the mouse pointer initially appears on the F3 console screen, and then disappears, and then the F1 gdm screen is displayed with no mouse pointer.

I have gpm installed.

Comment 2 Don Swaner 2017-01-18 14:25:01 UTC
After logging out, and the mouse pointer has become invisible, if the computer is left idle until the monitor powers down, and then the monitor is woken up, the mouse pointer becomes visible again.

Comment 3 Don Swaner 2017-01-19 14:20:23 UTC
When the monitor is woken up, at the gdm screen, the return of the mouse pointer is intermittent.

Comment 4 Don Swaner 2017-01-22 01:02:15 UTC
10 year old PC.


Note You need to log in before you can comment on or make changes to this bug.